<?php

namespace GriffinForms\Admin\Js\Local;

class Folder extends \GriffinForms\Admin\Js\Local\Single
{
    protected function getIcon()
    {
        return '
        function getIcon() {
            const selected = document.querySelector("input[name=\'icon\']:checked");
            if (!selected) {
                showItemError("' . esc_js($this->lang->getText('no_icon_selected')) . '", "gf-folder-icon-container");
                return null;
            }
            return selected.value;
        }';
    }
}